/// <reference types="react" />
import { DynamicObject } from "./Utils";
import { IDatatableField } from "./DatatableFieldModel";
interface DatatableBodyParams<T> {
    visibleData: Array<T>;
    fields: Array<IDatatableField<T>>;
    renderRow?: (row: T, index: number) => JSX.Element;
    rowClick?: (row: T, index: number) => void;
    visibleColumns: DynamicObject;
}
declare const DatatableBody: <T extends object>({ visibleData, renderRow, rowClick, fields, visibleColumns, }: DatatableBodyParams<T>) => JSX.Element;
export default DatatableBody;
