import { Dispatch, SetStateAction } from "react";
import { DynamicObject } from "./Utils";
import { IDatatableField } from "./DatatableFieldModel";
interface DatatableHeaderProps<T> {
    searchTerms: DynamicObject;
    showSearch: boolean;
    fields: Array<IDatatableField<T>>;
    visibleColumns: DynamicObject;
    setShowSettings: Dispatch<SetStateAction<boolean>>;
    showSettings: boolean;
    setVisibleColumns: Dispatch<SetStateAction<DynamicObject>>;
    changeSort: (field: IDatatableField<T>) => void;
    setSearchTerms: Dispatch<SetStateAction<DynamicObject>>;
    sort: {
        field: string | undefined;
        direction: string;
    };
}
declare const DatatableHeader: <T extends object>({ visibleColumns, fields, changeSort, sort, showSearch, searchTerms, setSearchTerms, }: DatatableHeaderProps<T>) => JSX.Element;
export default DatatableHeader;
